Subject: Re: [PATCH v4 0/3] send-email: shell completion improvements

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Thu, 23 Sep 2021 16:02:50 +0200

On Tue, Sep 21 2021, Thiago Perrotta wrote:

Note: using --in-reply-to to the previous version in "git format-patch"
helps keep track of the context.

> Carlo suggests to generate the flags programatically from the perl
> script. I am looking into this and already have a proof-of-concept
> working and plan to submit it as a separate patch series. I would like
> to get this series checked in first though.

Isn't this just:

my @params = <getopts list>;
GetOptions(@params);

And then doing some light parsing/slicinng of the @params list to get
the keys you've duplicated here?

I for one would much prefer to see that go in right away than the churn
of first hardcoding these, then removing the hardcoding etc.